Name:           localizer
Version:        1.15
Release:        2%{?dist}
Summary:        Type-safe localization message access for Java

License:        MIT
URL:            https://github.com/kohsuke/localizer
Source0:        https://github.com/kohsuke/%{name}/archive/%{name}-parent-%{version}.tar.gz
Source1:        https://raw.github.com/kohsuke/youdebug/youdebug-1.5/LICENSE.txt

BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  mvn(com.sun.codemodel:codemodel)
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.ant:ant)
BuildRequires:  mvn(org.apache.maven.plugins:maven-compiler-plugin)
BuildRequires:  mvn(org.apache.maven:maven-archiver)
BuildRequires:  mvn(org.apache.maven:maven-artifact)
BuildRequires:  mvn(org.apache.maven:maven-plugin-api)
BuildRequires:  mvn(org.codehaus.plexus:plexus-utils)


%description
This package provides Java code generator for type-safe
message resource bundle access.

%package        parent
Summary:        Parent POM file for %{name}

%description    parent
This package contains parent POM file for %{name}.

%package -n     maven-localizer-plugin
Summary:        Maven plugin for %{name}

%description -n maven-localizer-plugin
This package contains Apache Maven plugin for %{name}.

%package        javadoc
Summary:        Javadoc for %{name}

%description    javadoc
This package contains the API documentation for %{name}.


%prep
%setup -q -n %{name}-%{name}-parent-%{version}

cp %{SOURCE1} LICENSE

# Separate package for parent POM
%mvn_package ":localizer-parent" parent

%build
%mvn_build -s

%install
%mvn_install


%files -f .mfiles-localizer
%doc LICENSE
%files parent -f .mfiles-parent
%doc LICENSE
%files -n maven-localizer-plugin -f .mfiles-maven-localizer-plugin
%doc LICENSE
%files javadoc -f .mfiles-javadoc
%doc LICENSE

%changelog
* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.15-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Apr 30 2013 Michal Srb <msrb@redhat.com> - 1.15-1
- Initial package

